INSTALL-INFO(1)

NOM
install-info – Mettre à jour les entrées info/dir

SYNOPSIS
install-info [OPTION]... [FICHIER_INFO [FICHIER_RÉP]]

DESCRIPTION
Ajouter ou supprimer des entrées de FICHIER_INFO dans/du FICHIER_RÉP de répertoire d’Info. FICHIER_INFO et FICHIER_RÉP sont requis à moins que les options --info-file ou --dir-file (ou --info-dir) soient respectivement indiquées.

OPTIONS

--add-once
    Ajouter seulement à la première section correspondante, mais pas à toutes.

--align=COL
    Débuter la description des nouvelles entrées à la colonne COL.

--calign=COL
    Formater la deuxième ligne de description et les suivantes pour un début à la colonne COL.

--debug
    Rapporter ce qui est fait

--delete
    Supprimer les entrées existantes de FICHIER_INFO de FICHIER_RÉP ; ne pas insérer de nouvelles entrées.

--defsection=TEXTE
    Option identique à --section, mais n’utiliser que TEXTE si aucune section n’est présente dans FICHIER_INFO (remplacement de « Miscellaneous »).

--description=TEXTE
    La description de l’entrée est TEXTE ; à utiliser avec l’option --name pour devenir synonyme de l’option --entry.

--dir-file=NOM
    Spécifier le nom du fichier de répertoire d’Info; équivalent à l’utilisation de l’argument FICHIER_RÉP.

--dry-run
    Identique à --test.

--entry=TEXTE
    Insérer TEXTE comme entrée de répertoire d’Info, en écrasant toute entrée correspondante de FICHIER_RÉP. TEXTE est écrit sous laforme d’une ligne d’item de menu d’Info suivie

de zéro ou plus lignes supplémentaires démarrant par une espace.
    Si plusieurs entrées sont indiquées, toutes sont ajoutées. Si aucune entrée n’est indiquée, elles sont déterminées

    à partir des informations du fichier d’Info lui-même.

--help
    afficher l'aide-mémoire et quitter.

--info-dir=DIR
    Identique à --dir-file=RÉP/dir.

--info-file=FICHIER
    Indiquer le fichier d’Info à installer dans le répertoire. C’est équivalent à utiliser l’argument FICHIER_INFO.

--item=TEXT
    Identique à --entry=TEXTE.

--keep-old
    Ne pas remplacer les entrées ou supprimer les sections vides.

--maxwidth, --max-width=COL
    Passer à la ligne à la colonne COL.

--menuentry=TEXTE
    Identique à --name=TEXTE.

--name=TEXTE
    Le nom de l’entrée est TEXTE ; à utiliser avec l’option --description pour devenir synonyme de l’option --entry.

--no-indent
    Ne pas formater les nouvelles entrées dans le fichier FICHIER_RÉP.

--quiet
    Supprimer les avertissements.

--regex=R
    Mettre les entrées de fichier dans toutes les sections qui correspondent à l’expression rationnelle R

--remove
    Identique à --delete.

--remove-exactly
    Supprimer seulement si le nom de fichier d’Info correspond exactement ; les suffixes tels que .info et .gz ne sont pas ignorés.

--section=SEC
    Mettre les entrées dans la section SEC du répertoire. Si plus d’une section sont indiquées, toutes les entrées

sont ajoutées dans chacune des sections.
    Si aucune section n’est indiquée, elles sont déterminées

à partir des informations dans le fichier Info lui-même.
    Si aucune information n’y est disponible, la valeur de --defsection est utilisée. Si cette valeur n’est pas indiquée, la valeur finale par défaut est « Miscellaneous »

--section R SEC
    Équivalent à --regex=R --section=SEC --add-once.

--silent
    Supprimer les avertissements.

--test
    Pas de mise à jour de FICHIER_RÉP

--version
    afficher le numéro de version et quitter.

SIGNALER DES BOGUES
Veuillez signaler les bogues à bug-texinfo@gnu.org, les questions générales et les explications à help-texinfo@gnu.org.
Page d’accueil de Texinfo : https://www.gnu.org/software/texinfo/

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <http://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de install-info est disponible dans un manuel Texinfo. Si les programmes info et install-info sont correctement installés, la commande

    info install-info

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.